Package org.apache.synapse.commons.staxon.core.event

# Class SimpleXMLFilteredEventReader

java.lang.Object
javax.xml.stream.util.EventReaderDelegate
org.apache.synapse.commons.staxon.core.event.SimpleXMLFilteredEventReader

All Implemented Interfaces:
  `Iterator<Object>`, `XMLEventReader`

public class SimpleXMLFilteredEventReader extends EventReaderDelegate
Simple implementation of a filtered `XMLEventReader`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SimpleXMLFilteredEventReader(XMLEventReader reader, EventFilter filter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getElementText()`
  `boolean`
  `hasNext()`
  `Object`
  `next()`
  `XMLEvent`
  `nextEvent()`
  `XMLEvent`
  `nextTag()`
  `XMLEvent`
  `peek()`
  `void`
  `setParent(XMLEventReader reader)`

  ### Methods inherited from class javax.xml.stream.util.EventReaderDelegate

  `close, getParent, getProperty, remove`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Constructor Details

  - ### SimpleXMLFilteredEventReader

    public SimpleXMLFilteredEventReader(XMLEventReader reader, EventFilter filter)

- ## Method Details

  - ### setParent

    public void setParent(XMLEventReader reader)
    Overrides:
      `setParent` in class `EventReaderDelegate`

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<Object>`
    Specified by:
      `hasNext` in interface `XMLEventReader`
    Overrides:
      `hasNext` in class `EventReaderDelegate`

  - ### peek

    public XMLEvent peek() throws XMLStreamException
    Specified by:
      `peek` in interface `XMLEventReader`
    Overrides:
      `peek` in class `EventReaderDelegate`
    Throws:
      `XMLStreamException`

  - ### next

    public Object next()
    Specified by:
      `next` in interface `Iterator<Object>`
    Overrides:
      `next` in class `EventReaderDelegate`

  - ### nextEvent

    public XMLEvent nextEvent() throws XMLStreamException
    Specified by:
      `nextEvent` in interface `XMLEventReader`
    Overrides:
      `nextEvent` in class `EventReaderDelegate`
    Throws:
      `XMLStreamException`

  - ### getElementText

    public String getElementText() throws XMLStreamException
    Specified by:
      `getElementText` in interface `XMLEventReader`
    Overrides:
      `getElementText` in class `EventReaderDelegate`
    Throws:
      `XMLStreamException`

  - ### nextTag

    public XMLEvent nextTag() throws XMLStreamException
    Specified by:
      `nextTag` in interface `XMLEventReader`
    Overrides:
      `nextTag` in class `EventReaderDelegate`
    Throws:
      `XMLStreamException`